%define name 	nc
%define version 1.10
%define release 1

Summary: 	Reads and writes data across network connections using TCP or UDP.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL:		http://www.l0pht.com/~weld/netcat
Source0:	http://www.l0pht.com/~weld/netcat/nc110.tar.bz2
Source1: 	nc.1.bz2
Patch0: 	nc-arm.patch.bz2
Patch1: 	nc-1.10-resolv.patch.bz2
License: 	GPL
Group: 		Networking/Other
Packager: 	linuxkid <linux@peanutlinux.org>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
The nc package contains Netcat (the program is now netcat), a simple
utility for reading and writing data across network connections, using
the TCP or UDP protocols. Netcat is intended to be a reliable back-end
tool which can be used directly or easily driven by other programs and
scripts.  Netcat is also a feature-rich network debugging and exploration
tool, since it can create many different connections and has many
built-in capabilities.

You may want to install the netcat package if you are administering a
network and you'd like to use its debugging and network exploration
capabilities.

%prep
%setup -c -n nc -q
%ifarch arm
%patch0 -p1
%endif
%patch1 -p1

%build
#Make linux ids supported, but it makes a static binary. 
make CFLAGS="$RPM_OPT_FLAGS" generic

%install
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{_prefix}
mkdir $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

cp nc $RPM_BUILD_ROOT%{_bindir}
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc scripts
%{_bindir}/nc
%{_mandir}/man1/nc*
